MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::ILogFilter Class Reference

`#include <MyGUI_ILogFilter.h>`

Inheritance diagram for MyGUI::ILogFilter:
[legend]

## Public Member Functions
virtual | ~ILogFilter ()
virtual bool | shouldLog (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)

## Detailed Description

Definition at line 16 of file MyGUI_ILogFilter.h.

## Constructor & Destructor Documentation

virtual MyGUI::ILogFilter::~ILogFilter | ( |  | ) |
| inline virtual

Definition at line 19 of file MyGUI_ILogFilter.h.

## Member Function Documentation

virtual bool MyGUI::ILogFilter::shouldLog | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line
| ) |  |
| inline virtual

Check if specific log message should be logged.
For example some log listeners use only messages with high log level.

Reimplemented in MyGUI::LevelLogFilter.

Definition at line 24 of file MyGUI_ILogFilter.h.

The documentation for this class was generated from the following file:

- MyGUI_ILogFilter.h